Name:           techtalk-pse
Version:        1.1.0
Release:        8%{?dist}
Summary:        Presentation software designed for technical people

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://git.annexia.org/?p=techtalk-pse.git;a=summary
# No website hosts the tarballs at present:
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  perl(Glib)
BuildRequires:  perl(Gtk2)
BuildRequires:  perl(Gtk2::WebKit)
BuildRequires:  perl(Gnome2::Vte)
BuildRequires:  /usr/bin/pod2man


%description
Tech Talk PSE is is Linux Presentation Software designed by technical people to
give technical software demonstrations to other technical people. It is
designed to be simple to use (for people who know how to use an editor and the
command line) and powerful, so that you can create informative, technically
accurate and entertaining talks and demonstrations.

Tech Talk PSE is good at opening editors at the right place, opening shell
prompts with preloaded history, compiling and running things during the
demonstration, displaying text, photos, figures and video.

Tech Talk PSE is bad at slide effects, chart junk and bullet points.


%prep
%setup -q
echo '// empty' >> examples/simple/code.js


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING README TODO examples
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*


%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 Petr Pisar <ppisar@redhat.com> - 1.1.0-5
- Perl 5.18 rebuild

* Mon Feb 18 2013 Richard W.M. Jones <rjones@redhat.com> - 1.1.0-4
- +BR /usr/bin/pod2man.

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jan 31 2012 Richard W.M. Jones <rjones@redhat.com> - 1.1.0-1
- New upstream development version 1.1.0.
- This version requires Gtk2::WebKit (WebKit bindings) and Gnome2::Vte
  (VTE - a GNOME terminal emulator).

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 16 2010 Ian Weller <iweller@redhat.com> - 1.0.1-1
- New upstream release

* Mon Jun 21 2010 Ian Weller <iweller@redhat.com> - 1.0.0-3
- New patch: patch-1.0.0-ensure-display-of-labels.diff
  "There's a problem in 1.0.0 [upstream] that labels
  are not displayed with certain versions of perl-Gtk2."
  This patch resolves this issue.
- Go totally OCD and change the RPM build root macros

* Tue Jun  8 2010 Ian Weller <iweller@redhat.com> - 1.0.0-2
- Include examples
- Use macros in source URL

* Mon Jun  7 2010 Ian Weller <iweller@redhat.com> - 1.0.0-1
- First build
